import { GunGraphData } from '@notabug/client';
import { NabTabulator } from './NabTabulator';
interface CommandMapNode {
    [key: string]: CommandMapNode | number;
}
interface CommandMap {
    [authorId: string]: CommandMapNode;
}
interface TabulatorThingChanges {
    ups?: number;
    downs?: number;
    comments?: number;
    replies?: number;
    commandMap?: CommandMap;
}
interface TabulatorChanges {
    [thingId: string]: TabulatorThingChanges;
}
export declare function describeDiff(diff: GunGraphData): TabulatorChanges | null;
export declare function persistChanges(peer: NabTabulator, changes: TabulatorChanges): Promise<void>;
export declare function processDiff(peer: NabTabulator, diff: GunGraphData): Promise<void>;
export {};
